# LineBreakProperties Struct Reference

Struct for entries of line break properties. More...

`#include <linebreakdef.h>`

## Data Fields

utf32_t | start
| Starting coding point.
utf32_t | end
| End coding point.
enum LineBreakClass | prop
| The line breaking property.

## Detailed Description

Struct for entries of line break properties.

The array of the entries must be sorted.

## Field Documentation

utf32_t LineBreakProperties::end

End coding point.

enum LineBreakClass LineBreakProperties::prop

The line breaking property.

utf32_t LineBreakProperties::start

Starting coding point.

The documentation for this struct was generated from the following file:

- linebreakdef.h